import React from 'react';
import ReactDOM from 'react-dom';
import { Smile } from './Smile';
import { Eyes } from './Eyes';
 
const width = 960;
const height = 500;
const centerX = width / 2;
const centerY = height / 2;
const strokeWidth = 6;
const eyeOffsetX = 90;
const eyeOffsetY = 80;
const eyeRadius = 40;
const mouthWidth = 60;
const mouthRadius = 200;
const currentcolor = "blue";


const App = () => (
  <svg width={width} height={height}>
    
    <g transform={`translate(${centerX},${centerY})`}>
      <circle
        r={centerY - strokeWidth / 2}
        fill="red"
        stroke="black"
        stroke-width={strokeWidth}
      />
      
      
    </g>
    <g transform = "translate(315 -210) rotate(4) scale(1.2)" >
         <Eyes></Eyes>
      </g>
    
    	<g transform = "translate(245 2) rotate(-1) scale(1.4)" >
         <Smile></Smile>
      </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);